define(function() {var keywords=[{w:"Introduction",p:["p0","p1"]},{w:"to",p:["p0","p161","p164"]},{w:"Cassandra",p:["p0"]},{w:"Query",p:["p0","p90"]},{w:"Language",p:["p0"]},{w:"Blob",p:["p2"]},{w:"type",p:["p2","p3","p4","p9","p22","p33","p41","p72","p74","p84","p107","p124","p128","p129","p154"]},{w:"Collection",p:["p3","p114"]},{w:"Counter",p:["p4","p96","p97"]},{w:"ALTER",p:["p5","p6","p7","p8","p9","p10"]},{w:"KEYSPACE",p:["p5","p17","p28","p99","p111","p125"]},{w:"MATERIALIZED",p:["p6","p18","p29","p82","p100","p109"]},{w:"VIEW",p:["p6","p18","p29","p82","p100","p109"]},{w:"ROLE",p:["p7","p19","p30"]},{w:"TABLE",p:["p8","p20","p31","p83","p90","p92","p97","p102","p103","p104","p109","p117","p122","p123","p137","p139","p152"]},{w:"USER",p:["p10","p23","p34","p142"]},{w:"BATCH",p:["p11","p86","p87"]},{w:"CQL",p:["p12","p40","p42","p48","p50","p54","p69","p71","p80","p90","p156","p168"]},{w:"commands",p:["p12","p54"]},{w:"CREATE",p:["p13","p14","p15","p16","p17","p18","p19","p20","p21","p22","p23","p92"]},{w:"AGGREGATE",p:["p13","p25","p105","p138","p143"]},{w:"CUSTOM",p:["p14"]},{w:"INDEX",p:["p14","p16","p27","p146","p149","p164"]},{w:"(SASI)",p:["p14","p146","p147"]},{w:"FUNCTION",p:["p15","p26","p105","p106","p110","p144","p158"]},{w:"TRIGGER",p:["p21","p32"]},{w:"(Deprecated)",p:["p23","p34","p39"]},{w:"DELETE",p:["p24"]},{w:"DROP",p:["p25","p26","p27","p28","p29","p30","p31","p32","p33","p34"]},{w:"GRANT",p:["p35"]},{w:"INSERT",p:["p36"]},{w:"LIST",p:["p37","p38","p39","p119","p128"]},{w:"PERMISSIONS",p:["p37","p150"]},{w:"ROLES",p:["p38","p151"]},{w:"USERS",p:["p39","p153"]},{w:"code",p:["p40"]},{w:"comments",p:["p40"]},{w:"User-defined",p:["p41","p84","p105","p106","p107","p110","p124","p143","p144"]},{w:"reference",p:["p42"]},{w:"REVOKE",p:["p43"]},{w:"SELECT",p:["p44"]},{w:"TRUNCATE",p:["p45"]},{w:"UPDATE",p:["p46"]},{w:"USE",p:["p47","p87","p164"]},{w:"data",p:["p48","p81","p88","p112","p113","p115","p116","p117","p119","p120","p121","p122","p123","p124","p145","p166","p167","p168"]},{w:"types",p:["p48","p76","p81","p142"]},{w:"Functions",p:["p49","p73","p98","p138","p143"]},{w:"lexical",p:["p50"]},{w:"structure",p:["p50"]},{w:"Starting",p:["p51","p79","p156"]},{w:"cqlsh",p:["p51","p66","p79"]},{w:"CAPTURE",p:["p52"]},{w:"CLEAR",p:["p53"]},{w:"shell",p:["p54","p156"]},{w:"CONSISTENCY",p:["p55","p62","p159","p160","p161","p162"]},{w:"COPY",p:["p56","p115"]},{w:"DESCRIBE",p:["p57"]},{w:"EXIT",p:["p58"]},{w:"cqlshExpand",p:["p59"]},{w:"LOGIN",p:["p60"]},{w:"PAGING",p:["p61"]},{w:"SERIAL",p:["p62"]},{w:"SHOW",p:["p63"]},{w:"SOURCE",p:["p64"]},{w:"TRACING",p:["p65","p159"]},{w:"Configuring",p:["p66"]},{w:"from",p:["p66","p158"]},{w:"a",p:["p66","p78","p82","p83","p84","p90","p94","p96","p97","p99","p100","p102","p104","p107","p109","p110","p111","p114","p115","p117","p119","p120","p121","p122","p123","p124","p137","p139","p144","p145","p146","p148","p149","p152","p157","p165"]},{w:"file",p:["p66","p115"]},{w:"Escaping",p:["p67"]},{w:"characters",p:["p67","p70"]},{w:"Exponential",p:["p68"]},{w:"notation",p:["p68"]},{w:"Keywords",p:["p69"]},{w:"Valid",p:["p70","p77"]},{w:"in",p:["p70","p81","p135"]},{w:"names",p:["p70"]},{w:"limits",p:["p71"]},{w:"Timestamp",p:["p72"]},{w:"UUID",p:["p73","p76"]},{w:"and",p:["p73","p75","p76","p79","p85","p88","p89","p99","p108","p115","p116","p119","p120","p121","p133","p140","p142"]},{w:"timeuuid",p:["p73","p76"]},{w:"Tuple",p:["p74","p104","p123"]},{w:"Uppercase",p:["p75"]},{w:"lowercase",p:["p75"]},{w:"literals",p:["p77"]},{w:"Sharing",p:["p78"]},{w:"static",p:["p78"]},{w:"column",p:["p78","p140","p157"]},{w:"on",p:["p79"]},{w:"Linux",p:["p79"]},{w:"Mac",p:["p79"]},{w:"OS",p:["p79"]},{w:"X",p:["p79"]},{w:"Using",p:["p80","p90","p94","p96","p115","p118","p125","p130","p132","p135","p136","p138","p143","p144","p146","p149"]},{w:"Creating",p:["p81","p91","p97","p98","p99","p100","p102","p104","p105","p106","p107","p111","p128","p129","p154"]},{w:"advanced",p:["p81"]},{w:"tables",p:["p81","p101","p126","p134"]},{w:"Altering",p:["p82","p83","p84"]},{w:"Batching",p:["p85","p88"]},{w:"inserts,",p:["p85"]},{w:"updates",p:["p85","p88"]},{w:"deletes",p:["p85"]},{w:"Misuse",p:["p86"]},{w:"of",p:["p86","p87","p111","p165"]},{w:"statement",p:["p86","p87"]},{w:"Good",p:["p87"]},{w:"insertion",p:["p88"]},{w:"Building",p:["p89"]},{w:"maintaining",p:["p89"]},{w:"indexes",p:["p89","p130","p147"]},{w:"legacy",p:["p90","p126","p127","p137"]},{w:"collections",p:["p91","p132"]},{w:"with",p:["p92","p104","p112","p113","p127","p147","p158"]},{w:"COMPACT",p:["p92"]},{w:"STORAGE",p:["p92"]},{w:"Composite",p:["p93"]},{w:"Partition",p:["p93","p148"]},{w:"Key",p:["p93","p94","p95","p155"]},{w:"compound",p:["p94","p95"]},{w:"primary",p:["p94","p95","p155"]},{w:"updating",p:["p99","p116","p119","p120","p121","p124","p163"]},{w:"Indexing",p:["p101","p114","p131","p147"]},{w:"schema",p:["p103"]},{w:"collision",p:["p103"]},{w:"fix",p:["p103"]},{w:"(UDA)",p:["p105","p143"]},{w:"(UDF)",p:["p106","p110","p144"]},{w:"(UDT)",p:["p107","p124"]},{w:"Deleting",p:["p108"]},{w:"columns",p:["p108"]},{w:"rows",p:["p108","p158"]},{w:"Dropping",p:["p109","p110"]},{w:"keyspace,",p:["p109","p140","p145"]},{w:"or",p:["p109","p124","p145"]},{w:"Example",p:["p111","p113"]},{w:"Expiring",p:["p112","p113"]},{w:"time-to-live",p:["p112","p157"]},{w:"TTL",p:["p113"]},{w:"Inserting",p:["p115","p116","p117","p119","p120","p121","p122","p123","p124"]},{w:"CSV",p:["p115"]},{w:"JSON",p:["p117","p136"]},{w:"into",p:["p117","p119","p120","p121","p122","p123","p124"]},{w:"lightweight",p:["p118"]},{w:"transactions",p:["p118"]},{w:"map",p:["p120","p129"]},{w:"set",p:["p121","p154"]},{w:"simple",p:["p122","p155"]},{w:"the",p:["p125","p128","p129","p135","p154","p156","p158","p163","p165"]},{w:"qualifier",p:["p125"]},{w:"Working",p:["p127"]},{w:"applications",p:["p127"]},{w:"multiple",p:["p130"]},{w:"Retrieval",p:["p132","p133","p135","p136","p138","p143","p144","p148"]},{w:"sorting",p:["p133"]},{w:"results",p:["p133"]},{w:"Querying",p:["p134","p137","p139"]},{w:"keyword",p:["p135"]},{w:"standard",p:["p138"]},{w:"system",p:["p139"]},{w:"table,",p:["p140"]},{w:"information",p:["p140","p141"]},{w:"Cluster",p:["p141"]},{w:"Functions,",p:["p142"]},{w:"aggregates,",p:["p142"]},{w:"Removing",p:["p145"]},{w:"schema,",p:["p145"]},{w:"SSTable",p:["p146","p147"]},{w:"Attached",p:["p146","p147"]},{w:"Secondary",p:["p146","p147","p149"]},{w:"by",p:["p148"]},{w:"scanning",p:["p148"]},{w:"Database",p:["p150","p151","p153"]},{w:"Securing",p:["p152"]},{w:"(cqlsh)",p:["p156"]},{w:"Determining",p:["p157","p165"]},{w:"(TTL)",p:["p157"]},{w:"for",p:["p157"]},{w:"Displaying",p:["p158"]},{w:"an",p:["p158","p164"]},{w:"unordered",p:["p158"]},{w:"partitioner",p:["p158"]},{w:"TOKEN",p:["p158"]},{w:"changes",p:["p159","p161"]},{w:"How",p:["p160"]},{w:"affects",p:["p160"]},{w:"performance",p:["p160"]},{w:"Setup",p:["p161"]},{w:"trace",p:["p161","p162"]},{w:"reads",p:["p162"]},{w:"at",p:["p162"]},{w:"different",p:["p162"]},{w:"levels",p:["p162"]},{w:"replication",p:["p163"]},{w:"factor",p:["p163"]},{w:"When",p:["p164"]},{w:"date/time",p:["p165"]},{w:"write",p:["p165"]},{w:"modeling",p:["p166","p167","p168"]},{w:"analysis",p:["p166"]},{w:"concepts",p:["p167"]}];
var ph={};
ph["p160"]=[184, 54, 185, 186];
ph["p50"]=[17, 47, 48];
ph["p52"]=[51];
ph["p164"]=[195, 1, 43, 179, 22];
ph["p51"]=[49, 50];
ph["p163"]=[121, 148, 193, 194];
ph["p54"]=[17, 53, 18];
ph["p162"]=[188, 189, 190, 191, 54, 192];
ph["p53"]=[52];
ph["p161"]=[187, 1, 188, 54, 183];
ph["p56"]=[55];
ph["p157"]=[175, 137, 176, 177, 67, 88];
ph["p55"]=[54];
ph["p156"]=[49, 148, 17, 53, 174];
ph["p58"]=[57];
ph["p155"]=[147, 120, 118];
ph["p57"]=[56];
ph["p154"]=[95, 148, 146, 6];
ph["p59"]=[58];
ph["p159"]=[64, 54, 183];
ph["p158"]=[178, 131, 66, 179, 180, 181, 113, 148, 182, 24];
ph["p61"]=[60];
ph["p60"]=[59];
ph["p63"]=[62];
ph["p153"]=[172, 34];
ph["p62"]=[61, 54];
ph["p152"]=[173, 67, 14];
ph["p65"]=[64];
ph["p151"]=[172, 33];
ph["p64"]=[63];
ph["p150"]=[172, 32];
ph["p67"]=[69, 70];
ph["p146"]=[94, 67, 167, 168, 169, 22, 23];
ph["p66"]=[65, 50, 66, 67, 68];
ph["p145"]=[165, 67, 133, 166, 134, 44];
ph["p69"]=[17, 73];
ph["p144"]=[153, 94, 67, 37, 24, 127];
ph["p68"]=[71, 72];
ph["p143"]=[153, 94, 37, 20, 126, 46];
ph["p149"]=[94, 67, 169, 22];
ph["p148"]=[153, 170, 171, 67, 117];
ph["p147"]=[122, 113, 167, 168, 169, 110, 23];
ph["p70"]=[74, 70, 75, 76];
ph["p72"]=[78, 6];
ph["p71"]=[17, 77];
ph["p74"]=[82, 6];
ph["p73"]=[79, 80, 81, 46];
ph["p76"]=[79, 80, 81, 45];
ph["p75"]=[83, 80, 84];
ph["p78"]=[86, 67, 87, 88];
ph["p77"]=[74, 85];
ph["p79"]=[49, 50, 89, 90, 80, 91, 92, 93];
ph["p81"]=[95, 96, 44, 45, 75, 97];
ph["p80"]=[94, 17];
ph["p83"]=[98, 67, 14];
ph["p82"]=[98, 67, 11, 12];
ph["p85"]=[99, 100, 101, 80, 102];
ph["p84"]=[98, 67, 37, 6];
ph["p87"]=[106, 43, 104, 16, 105];
ph["p86"]=[103, 104, 16, 105];
ph["p89"]=[108, 80, 109, 110];
ph["p168"]=[17, 44, 198];
ph["p88"]=[99, 44, 107, 80, 101];
ph["p167"]=[44, 198, 200];
ph["p166"]=[44, 198, 199];
ph["p165"]=[175, 148, 196, 104, 67, 197];
ph["p90"]=[94, 67, 17, 111, 14, 3];
ph["p92"]=[19, 14, 113, 114, 115];
ph["p91"]=[95, 112];
ph["p94"]=[94, 67, 119, 120, 118];
ph["p93"]=[116, 117, 118];
ph["p96"]=[94, 67, 8];
ph["p120"]=[139, 80, 121, 44, 142, 67, 145];
ph["p95"]=[119, 120, 118];
ph["p10"]=[9, 15];
ph["p98"]=[95, 46];
ph["p97"]=[95, 67, 8, 14];
ph["p12"]=[17, 18];
ph["p113"]=[136, 44, 113, 138, 135];
ph["p11"]=[16];
ph["p99"]=[95, 80, 121, 67, 10];
ph["p112"]=[136, 44, 113, 137];
ph["p14"]=[19, 21, 22, 23];
ph["p111"]=[135, 104, 95, 67, 10];
ph["p13"]=[19, 20];
ph["p110"]=[132, 67, 37, 24, 127];
ph["p16"]=[19, 22];
ph["p117"]=[139, 141, 44, 142, 67, 14];
ph["p15"]=[19, 24];
ph["p116"]=[139, 80, 121, 44];
ph["p18"]=[19, 11, 12];
ph["p115"]=[139, 44, 94, 55, 80, 67, 140, 68];
ph["p17"]=[19, 10];
ph["p114"]=[122, 67, 7];
ph["p19"]=[19, 13];
ph["p119"]=[139, 80, 121, 44, 142, 67, 31];
ph["p118"]=[94, 143, 144];
ph["p21"]=[19, 25];
ph["p20"]=[19, 14];
ph["p23"]=[19, 15, 26];
ph["p102"]=[95, 67, 14];
ph["p22"]=[19, 6];
ph["p101"]=[122, 97];
ph["p25"]=[28, 20];
ph["p100"]=[95, 67, 11, 12];
ph["p24"]=[27];
ph["p27"]=[28, 22];
ph["p106"]=[95, 37, 24, 127];
ph["p26"]=[28, 24];
ph["p105"]=[95, 37, 20, 24, 126];
ph["p29"]=[28, 11, 12];
ph["p104"]=[95, 67, 14, 113, 67, 82];
ph["p28"]=[28, 10];
ph["p103"]=[14, 123, 124, 125];
ph["p109"]=[132, 67, 133, 14, 134, 11, 12];
ph["p108"]=[129, 130, 80, 131];
ph["p107"]=[95, 67, 37, 6, 128];
ph["p0"]=[0, 1, 2, 3, 4];
ph["p1"]=[0];
ph["p2"]=[5, 6];
ph["p3"]=[7, 6];
ph["p4"]=[8, 6];
ph["p5"]=[9, 10];
ph["p6"]=[9, 11, 12];
ph["p7"]=[9, 13];
ph["p8"]=[9, 14];
ph["p9"]=[9, 6];
ph["p30"]=[28, 13];
ph["p142"]=[163, 164, 80, 15, 45];
ph["p141"]=[162, 161];
ph["p32"]=[28, 25];
ph["p140"]=[133, 160, 80, 88, 161];
ph["p31"]=[28, 14];
ph["p34"]=[28, 15, 26];
ph["p135"]=[153, 94, 148, 75, 157];
ph["p33"]=[28, 6];
ph["p134"]=[156, 97];
ph["p36"]=[30];
ph["p133"]=[153, 80, 154, 155];
ph["p35"]=[29];
ph["p132"]=[153, 94, 112];
ph["p38"]=[31, 33];
ph["p139"]=[156, 67, 159, 14];
ph["p37"]=[31, 32];
ph["p138"]=[153, 94, 158, 20, 46];
ph["p137"]=[156, 67, 111, 14];
ph["p39"]=[31, 34, 26];
ph["p136"]=[153, 94, 141];
ph["p41"]=[37, 6];
ph["p131"]=[122];
ph["p40"]=[17, 35, 36];
ph["p130"]=[94, 152, 110];
ph["p43"]=[39];
ph["p42"]=[17, 38];
ph["p45"]=[41];
ph["p124"]=[139, 134, 121, 44, 142, 67, 37, 6, 128];
ph["p44"]=[40];
ph["p123"]=[139, 82, 44, 142, 67, 14];
ph["p47"]=[43];
ph["p122"]=[139, 147, 44, 142, 67, 14];
ph["p46"]=[42];
ph["p121"]=[139, 80, 121, 44, 142, 67, 146];
ph["p49"]=[46];
ph["p128"]=[95, 148, 31, 6];
ph["p48"]=[17, 44, 45];
ph["p127"]=[150, 113, 111, 151];
ph["p126"]=[111, 97];
ph["p125"]=[94, 148, 10, 149];
ph["p129"]=[95, 148, 145, 6];
     return {
         keywords: keywords,
         ph: ph
     }
});
